Package org.drinkless.tdlib

# Class TdApi.PaymentReceipt

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentReceipt

Enclosing class:
  `TdApi`

public static class TdApi.PaymentReceipt extends TdApi.Object
Contains information about a successful payment.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the payment was made.
  `TdApi.ProductInfo`
  `productInfo`
  Information about the product.
  `long`
  `sellerBotUserId`
  User identifier of the seller bot.
  `TdApi.PaymentReceiptType`
  `type`
  Type of the payment receipt.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentReceipt()`
  Contains information about a successful payment.
  `PaymentReceipt(TdApi.ProductInfo productInfo, int date, long sellerBotUserId, TdApi.PaymentReceiptType type)`
  Contains information about a successful payment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### productInfo

    public TdApi.ProductInfo productInfo
    Information about the product.

  - ### date

    public int date
    Point in time (Unix timestamp) when the payment was made.

  - ### sellerBotUserId

    public long sellerBotUserId
    User identifier of the seller bot.

  - ### type

    public TdApi.PaymentReceiptType type
    Type of the payment receipt.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentReceipt

    public PaymentReceipt()
    Contains information about a successful payment.

  - ### PaymentReceipt

    public PaymentReceipt(TdApi.ProductInfo productInfo, int date, long sellerBotUserId, TdApi.PaymentReceiptType type)
    Contains information about a successful payment.
    Parameters:
      `productInfo` - Information about the product.
      `date` - Point in time (Unix timestamp) when the payment was made.
      `sellerBotUserId` - User identifier of the seller bot.
      `type` - Type of the payment receipt.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR